From: [email-masked] (J Lothian)
Date: 8 Jan 93 18:59:15 GMT

Here's some stuff about the M7856 (DL11-W) module
(combined serial port/real-time clock), taken from
the print-set. As far as I can remember, there are 5
sets of dip-switches on the board. Mode of operation
is selected as follows:

Mode 1: serial line and RTC can both be addressed.
Serial line addresses are restricted to 77756X. [Standard
console address]. Line clock is at 777546.
Mode 2: Only serial line can be addressed. Address selection
ranges from 774000 to 777777. Line clock is disabled.
Mode 3: Only line clock can be addressed, serial line
does not respond to any address. Line clock is at 777546.

Mode selection & address bits:

Address bit	A10  A09  A08  A07  A06  A05  A04  A03  N/A  N/A
Switch		S5-3 S5-2 S5-1 S5-4 S5-5 S5-6 S5-8 S5-7 S5-9 S5-10
Mode 1		Off  Off  Off  On   Off  Off  Off  On   Off  On
Mode 2		Off  Off  Off  On   Off  Off  Off  On   On   Off
Mode 3		Off  Off  Off  On   Off  Off  On   On   On   On

Mode 2 is shown for serial line addresses 77756X. For address
bits in mode 2, switch off = 1 and switch on = 0.
[Apparently, it is not possible to deviate from the specified
address for the serial port in Mode 1 -- I have a feeling that
if you fiddle with the address switches in Mode 1, the LTC
address may move as well.]

Note: remove R63 from DL11-W operating in Mode 2 to allow proper
operation of a line frequency clock or other DL11-W in Mode 1
or Mode 3. [R63 goes from the BUS LTC L signal at pin CD1
on the backplane connector to (among other things) pin 9 on a 7414,
and is a 330 ohm resistor. It should be easy enough to find --
I don't have a layout diagram for the board.]

Vector Address Assignments

Line clock is fixed at 100. Serial line assignments are
floating vectors of the form XX0 (receiver) and XX4 (transmitter),
where XX is 00 to 77. For console device, vector should be
060/064.

Vector bit	V8   V7   V6   V5   V4   V3
switch		S2-8 S2-7 S2-5 S2-3 S2-6 S2-4
060/064		Off  Off  Off  On   On   Off
On=1, Off=0.

Data Format

Bits per Character
S4-4 S4-3 Bits
On   On   5
On   Off  6
Off  On   7
Off  Off  8

Parity
S4-2 S4-6 Parity
Off  Off  Off
On   Off  Off
Off  On   Even
On   On   Odd

Stop Bits
S4-5 Stop bits
On   1
Off  2 (or 1.5 if 5 data bits selected)

Baud Rate Selection
Rate  	Receiver	Transmitter
	S3-2 S3-3 S3-5  S4-10 S3-1 S3-4
110	Off  Off  Off	On    On   On
150	On   Off  Off	Off   On   On
300	Off  On   On	On    Off  Off
600	Off  On   Off	On    Off  On
1200	Off  Off  On	On    On   Off
2400	On   On   On	Off   Off  Off
4800	On   On   Off	Off   Off  On
9600	On   Off  On	Off   On   Off

Current Loop Active/Passive Selection
Transmitter	S1-1 S1-2 S1-3 S1-6 S1-7
Active		On   On   Off  Off  On
Passive		Off  Off  On   On   Off

Receiver	S3-6 S3-7 S3-8 S3-9 S3-10
Active		On   Off  On   Off  On
Passive		Off  On   Off  On   Off

Reader Enable	S1-4 S1-5 S1-8 S1-9 S1-10
Active		On   Off  On   Off  On
Passive		Off  On   Off  On   Off

[There is a spade lug on the board, near the front
edge, which can be connected to one of the spade lugs
on the M9301 bootstrap module, so that pressing BREAK
on your terminal keyboard will cause the machine to bomb
into the bootstrap module's console emulator.]

So there you go. I've used one of these boards on my 11/40
for several years now, without much bother. I have an M9301
for bootstrap, and am good at avoiding BREAK when typing!

The only thing that occurs to me about the problems
you've been having is: is there another device (e.g.
bootstrap board) in your system that includes an
LTC circuit? See the note about R63 above.

You can reset the 11/34 CPU by placing CONT/HALT
in HALT position, then operating BOOT/INIT.

Good luck.

James
--